Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesPagedEditor.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesPagedEditor.java	(revision 2990)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesPagedEditor.java	(revision 2991)
@@ -47,16 +47,18 @@
 		tabFolder = new TabFolder(parent, SWT.BORDER);
 		tabFolder.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
 		
-		tabs.add(new PropertiesGeneralTab(tabFolder, this));
 		PropertiesTXMResultTab resultTab = new PropertiesTXMResultTab(tabFolder, this);
 		tabs.add(resultTab);
 		
+		tabs.add(new PropertiesGeneralTab(tabFolder, this));
+		
+		tabs.add(new PropertiesParametersTab(tabFolder, this));
+		
 		Project p = this.getResult().getFirstParent(Project.class);
 		if (!p.getDocumentationURL().isEmpty()) {
 			DocumentationTab docTab = new DocumentationTab(tabFolder, this);
 			tabs.add(docTab);
 		}
-		tabs.add(new PropertiesParametersTab(tabFolder, this));
 		
 		tabFolder.setSelection(resultTab.getTab());
 	}
Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/DocumentationTab.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/DocumentationTab.java	(revision 2990)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/DocumentationTab.java	(revision 2991)
@@ -5,10 +5,15 @@
 
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.browser.Browser;
+import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.TabFolder;
 import org.eclipse.swt.widgets.TabItem;
+import org.eclipse.swt.widgets.ToolBar;
+import org.eclipse.swt.widgets.ToolItem;
+import org.eclipse.ui.internal.browser.ImageResource;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
 import org.txm.properties.rcp.Messages;
@@ -37,10 +42,74 @@
 	}
 	
 	protected void buildContent(GLComposite parent) {
+		
+		
+		createToolbar(parent);
 		this.browser = new Browser(parent, SWT.NONE);
 		this.browser.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
 	}
 	
+	
+	private ToolBar createToolbar(Composite parent) {
+		ToolBar toolbar = new ToolBar(parent, SWT.FLAT);
+		
+		// create back and forward actions
+		ToolItem back = new ToolItem(toolbar, SWT.NONE);
+		back.setImage(ImageResource
+				.getImage(ImageResource.IMG_ELCL_NAV_BACKWARD));
+		back.setHotImage(ImageResource
+				.getImage(ImageResource.IMG_CLCL_NAV_BACKWARD));
+		back.setDisabledImage(ImageResource
+				.getImage(ImageResource.IMG_DLCL_NAV_BACKWARD));
+		// back.setToolTipText(Messages.actionWebBrowserBack);
+		back.addSelectionListener(SelectionListener.widgetSelectedAdapter(e -> this.browser.back()));
+		
+		ToolItem forward = new ToolItem(toolbar, SWT.NONE);
+		forward.setImage(ImageResource
+				.getImage(ImageResource.IMG_ELCL_NAV_FORWARD));
+		forward.setHotImage(ImageResource
+				.getImage(ImageResource.IMG_CLCL_NAV_FORWARD));
+		forward.setDisabledImage(ImageResource
+				.getImage(ImageResource.IMG_DLCL_NAV_FORWARD));
+		// forward.setToolTipText(Messages.actionWebBrowserForward);
+		forward.addSelectionListener(SelectionListener.widgetSelectedAdapter(e -> this.browser.forward()));
+		
+		// create refresh, stop, and print actions
+		ToolItem stop = new ToolItem(toolbar, SWT.NONE);
+		stop.setImage(ImageResource.getImage(ImageResource.IMG_ELCL_NAV_STOP));
+		stop.setHotImage(ImageResource
+				.getImage(ImageResource.IMG_CLCL_NAV_STOP));
+		stop.setDisabledImage(ImageResource
+				.getImage(ImageResource.IMG_DLCL_NAV_STOP));
+		// stop.setToolTipText(Messages.actionWebBrowserStop);
+		stop.addSelectionListener(SelectionListener.widgetSelectedAdapter(e -> this.browser.stop()));
+		
+		ToolItem refresh = new ToolItem(toolbar, SWT.NONE);
+		refresh.setImage(ImageResource
+				.getImage(ImageResource.IMG_ELCL_NAV_REFRESH));
+		refresh.setHotImage(ImageResource
+				.getImage(ImageResource.IMG_CLCL_NAV_REFRESH));
+		refresh.setDisabledImage(ImageResource
+				.getImage(ImageResource.IMG_DLCL_NAV_REFRESH));
+		// refresh.setToolTipText(Messages.actionWebBrowserRefresh);
+		refresh.addSelectionListener(SelectionListener.widgetSelectedAdapter(e -> this.browser.refresh()));
+		
+		ToolItem home = new ToolItem(toolbar, SWT.NONE);
+		home.setImage(ImageResource
+				.getImage(ImageResource.IMG_CLCL_NAV_HOME));
+		home.setHotImage(ImageResource
+				.getImage(ImageResource.IMG_CLCL_NAV_HOME));
+		home.setDisabledImage(ImageResource
+				.getImage(ImageResource.IMG_CLCL_NAV_HOME));
+		home.setToolTipText("Shows opening page.");
+		
+		TXMResult r = this.editor.getResult().getParent();
+		Project p = r.getFirstParent(Project.class);
+		home.addSelectionListener(SelectionListener.widgetSelectedAdapter(e -> this.browser.setUrl(p.getDocumentationURL())));
+		
+		return toolbar;
+	}
+	
 	@Override
 	public void updateResultFromEditor(boolean update) throws Exception {
 		
Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesGeneralTab.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesGeneralTab.java	(revision 2990)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesGeneralTab.java	(revision 2991)
@@ -5,6 +5,7 @@
 import org.eclipse.jface.viewers.DecoratingLabelProvider;
 import org.eclipse.jface.viewers.IBaseLabelProvider;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.browser.Browser;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.SelectionEvent;
@@ -21,31 +22,33 @@
 import org.txm.rcp.views.corpora.CorporaView;
 
 public class PropertiesGeneralTab extends PropertiesTab {
-
+	
 	private Text nameField;
-
+	
 	public PropertiesGeneralTab(TabFolder folder, PropertiesPagedEditor editor2) {
 		super(folder, editor2);
 		tab.setText(Messages.PropertiesGeneralTab_0);
 		
 		parent.getLayout().numColumns = 3;
+		parent.getLayout().makeColumnsEqualWidth = false;
 		parent.getLayout().verticalSpacing = 10;
 		parent.getLayout().horizontalSpacing = 10;
 		parent.getLayout().marginTop = 10;
 		parent.getLayout().marginLeft = 10;
 		
 		Label image = new Label(parent, SWT.NONE);
-		//image.setImage(IImageKeys.getImage(""));
+		// image.setImage(IImageKeys.getImage(""));
 		IBaseLabelProvider lp = CorporaView.getInstance().getTreeViewer().getLabelProvider();
 		if (lp instanceof DecoratingLabelProvider) {
-			Image img = ((DecoratingLabelProvider)lp).getImage(editor.getResult().getParent());
+			Image img = ((DecoratingLabelProvider) lp).getImage(editor.getResult().getParent());
 			if (img != null) {
 				image.setImage(img);
-			} else {
+			}
+			else {
 				image.setImage(IImageKeys.getImage(IImageKeys.FILE));
 			}
 		}
-		image.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, true, 1, 7));
+		image.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, true, 1, 8));
 		
 		new Label(parent, SWT.NONE);
 		Button clipButton = new Button(parent, SWT.PUSH);
@@ -59,7 +62,7 @@
 			}
 			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 		
 		Label l = new Label(parent, SWT.NONE);
@@ -74,35 +77,35 @@
 			public void keyReleased(KeyEvent e) {
 				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR && nameField.getText().length() > 0 && !nameField.getText().equals(editor.getResult().getParent().getUserName())) {
 					editor.getResult().getParent().setUserName(nameField.getText());
-					System.out.println(Messages.PropertiesGeneralTab_2+nameField.getText());
+					System.out.println(Messages.PropertiesGeneralTab_2 + nameField.getText());
 					CorporaView.refreshObject(editor.getResult().getParent());
 				}
 			}
 			
 			@Override
-			public void keyPressed(KeyEvent e) { }
+			public void keyPressed(KeyEvent e) {}
 		});
 		new Label(parent, SWT.NONE).setText(Messages.PropertiesGeneralTab_3);
 		l = new Label(parent, SWT.NONE);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, true, false));
 		l.setText(editor.getResult().getParent().getResultType());
 		
-//		new Label(parent, SWT.NONE).setText("Size");
-//		l = new Label(parent, SWT.NONE);
-//		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, true, false));
-//		l.setText(""+editor.getResult().getParent().getChildren().size());
+		// new Label(parent, SWT.NONE).setText("Size");
+		// l = new Label(parent, SWT.NONE);
+		// l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, true, false));
+		// l.setText(""+editor.getResult().getParent().getChildren().size());
 		
 		new Label(parent, SWT.NONE).setText(Messages.PropertiesGeneralTab_4);
 		l = new Label(parent, SWT.NONE);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, true, false));
-		l.setText(""+editor.getResult().getParent().getFullPathSimpleName(false));//.getParent().getParent().getUserName()); //$NON-NLS-1$
+		l.setText("" + editor.getResult().getParent().getFullPathSimpleName(false));// .getParent().getParent().getUserName()); //$NON-NLS-1$
 		
 		new Label(parent, SWT.NONE).setText(Messages.PropertiesGeneralTab_6);
 		l = new Label(parent, SWT.NONE);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, true, false));
 		Date d = editor.getResult().getParent().getCreationDate();
 		if (d != null) {
-			l.setText(""+TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d)); //$NON-NLS-1$
+			l.setText("" + TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d)); //$NON-NLS-1$
 		}
 		
 		new Label(parent, SWT.NONE).setText(Messages.PropertiesGeneralTab_8);
@@ -110,33 +113,65 @@
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, true, false));
 		d = editor.getResult().getParent().getLastComputingDate();
 		if (d != null) {
-			l.setText(""+TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d)); //$NON-NLS-1$
-		} else {
+			l.setText("" + TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d)); //$NON-NLS-1$
+		}
+		else {
 			l.setText(Messages.PropertiesGeneralTab_10);
 		}
 		
+		// l = new Label(parent, SWT.SEPARATOR_FILL);
+		// l.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false, 2, 1));
+		//
+		// // l = new Label(parent, SWT.NONE);
+		// // l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, true, false));
+		// // l.setText("Description");
+		//
+		// Text name2Field = new Text(parent, SWT.BORDER | SWT.MULTI);
+		// name2Field.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
+		// name2Field.setText(editor.getResult().getProject().getDescription());
+		// name2Field.addKeyListener(new KeyListener() {
+		//
+		// @Override
+		// public void keyReleased(KeyEvent e) {
+		// if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR && name2Field.getText().length() > 0 && !name2Field.getText().equals(editor.getResult().getParent().getUserName())) {
+		// editor.getResult().getProject().setDescription(name2Field.getText());
+		// }
+		// }
+		//
+		// @Override
+		// public void keyPressed(KeyEvent e) {}
+		// });
+		
+		l = new Label(parent, SWT.NONE);
+		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, false));
+		l.setText("Description");
+		
+		Browser b = new Browser(parent, SWT.H_SCROLL | SWT.V_SCROLL);
+		b.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true, 1, 1));
+		b.setText(editor.getResult().getProject().getDescription());
 	}
 	
 	public void toClipboard() {
 		StringBuffer buffer = new StringBuffer();
-		buffer.append(Messages.PropertiesGeneralTab_12+ editor.getResult().getParent().getUserName());
+		buffer.append(Messages.PropertiesGeneralTab_12 + editor.getResult().getParent().getUserName());
 		buffer.append("\n"); //$NON-NLS-1$
-		buffer.append(Messages.PropertiesGeneralTab_14+editor.getResult().getParent().getResultType());
+		buffer.append(Messages.PropertiesGeneralTab_14 + editor.getResult().getParent().getResultType());
 		buffer.append("\n"); //$NON-NLS-1$
-//		buffer.append("Size: "+editor.getResult().getParent().getChildren().size());
-//		buffer.append("\n");
-		buffer.append(Messages.PropertiesGeneralTab_16+editor.getResult().getParent().getParent().getUserName());
+		// buffer.append("Size: "+editor.getResult().getParent().getChildren().size());
+		// buffer.append("\n");
+		buffer.append(Messages.PropertiesGeneralTab_16 + editor.getResult().getParent().getParent().getUserName());
 		buffer.append("\n"); //$NON-NLS-1$
 		Date d = editor.getResult().getParent().getCreationDate();
 		if (d != null) {
-			buffer.append(Messages.PropertiesGeneralTab_18+TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d));
+			buffer.append(Messages.PropertiesGeneralTab_18 + TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d));
 		}
 		
 		buffer.append("\n"); //$NON-NLS-1$
 		d = editor.getResult().getParent().getCreationDate();
 		if (d != null) {
-			buffer.append(Messages.PropertiesGeneralTab_20+TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d));
-		} else {
+			buffer.append(Messages.PropertiesGeneralTab_20 + TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(d));
+		}
+		else {
 			buffer.append(Messages.PropertiesGeneralTab_21);
 		}
 		
@@ -147,7 +182,7 @@
 	public void updateResultFromEditor(boolean update) {
 		// TODO Auto-generated method stub
 	}
-
+	
 	@Override
 	public void updateEditorFromResult() {
 		// TODO Auto-generated method stub
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 2990)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 2991)
@@ -29,71 +29,71 @@
 import org.txm.utils.logger.Log;
 
 public class CorpusPropertiesComputer extends PropertiesComputer<CQPCorpus> {
-
+	
 	public CorpusPropertiesComputer(Properties props, CQPCorpus result) {
 		super(props, result);
 	}
-
+	
 	@Override
 	public List<String> getComputableInformations() {
 		return Arrays.asList("all");
 	}
-
+	
 	@Override
 	public LinkedHashMap<String, String> getInformation(String name) {
 		LinkedHashMap<String, String> data = new LinkedHashMap<>();
 		data.put("all", dump(props.pMaxPropertiesToDisplay));
 		return data;
 	}
-
+	
 	@Override
 	public String getInformationHTML(String info) {
 		return htmlDump();
 	}
-
+	
 	// Numbers
 	/** The T. */
 	int numberOfWords = 0; // number of word
-
+	
 	/** The N properties. */
 	int NProperties = 0; // number of word properties
 	// HashMap<String, Integer> propertiesCounts = new HashMap<String, Integer>();
 	// // properties counts
-
+	
 	/** The properties values. */
 	HashMap<String, List<String>> propertiesValues = new HashMap<>(); // properties values
-
+	
 	/** The N structures. */
 	int NStructures = 0; // number of structures
-
+	
 	/** The structures counts. */
 	HashMap<String, Integer> structuresCounts = new HashMap<>(); // structures counts
-
+	
 	/** The internal architecture. */
 	List<String> internalArchitecture = new ArrayList<>(); // cqp structures = propertiesCounts keys but ordered
-
+	
 	/** The hierarchie counts. */
 	HashMap<String, Integer> hierarchieCounts = new HashMap<>(); // hierarchic structures counts
-
+	
 	/** The internal architecture properties. */
 	HashMap<String, HashMap<String, List<String>>> internalArchitectureProperties = new HashMap<>(); // hierarchic structures counts
-
+	
 	/** The internal architecture properties counts. */
 	HashMap<String, HashMap<String, Integer>> internalArchitecturePropertiesCounts = new HashMap<>(); // hierarchic structures counts
-
+	
 	// Annotations description
 	/** The annotations types. */
 	HashMap<String, Integer> annotationsTypes = new HashMap<>(); // for each annotation its description
-
+	
 	/** The annotations origins. */
 	HashMap<String, Integer> annotationsOrigins = new HashMap<>(); // for each annoation its origin description
-
+	
 	/** The properties. */
 	List<WordProperty> properties;
-
+	
 	/** The structures. */
 	List<StructuralUnit> structures;
-
+	
 	@Override
 	public String getName() {
 		String filename = result.getMainCorpus() + "-" + result.getName(); //$NON-NLS-1$
@@ -102,7 +102,7 @@
 		}
 		return filename;
 	}
-
+	
 	/**
 	 * Step general infos.
 	 */
@@ -123,7 +123,7 @@
 			Log.printStackTrace(e);
 			return;
 		}
-
+		
 		try {
 			numberOfWords = result.getSize();// corpus.getLexicon(corpus.getProperty("id")).nbrOfToken();
 		}
@@ -133,15 +133,15 @@
 			return;
 		}
 	}
-
+	
 	/**
 	 * step2. randomly position are choose
 	 */
 	public void stepLexicalProperties() {
 		propertiesValues.clear();
-
+		
 		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
-
+		
 		int s = Math.min(props.pMaxPropertiesToDisplay, numberOfWords);
 		int[] positions = new int[s];
 		int n = 0;
@@ -153,7 +153,7 @@
 				positions[n++] = i;
 			}
 		}
-
+		
 		for (Property p : properties) {
 			// int size;
 			try {
@@ -165,14 +165,14 @@
 			}
 		}
 	}
-
+	
 	/**
 	 * Step structural units.
 	 */
 	public void stepStructuralUnits() {
 		try {
 			structures = result.getOrderedStructuralUnits();
-
+			
 			List<StructuralUnit> sstructures = new ArrayList<>(structures);
 			for (StructuralUnit su : structures) {
 				if (su.getName().equals("txmcorpus")) {
@@ -193,7 +193,7 @@
 			hierarchieCounts.put(su.getName(), -1);
 			internalArchitectureProperties.put(su.getName(), new HashMap<String, List<String>>());
 			internalArchitecturePropertiesCounts.put(su.getName(), new HashMap<String, Integer>());
-
+			
 			for (StructuralUnitProperty sup : su.getOrderedProperties()) {// for each of its property
 				try {
 					List<String> allvalues = sup.getValues(result);
@@ -209,7 +209,7 @@
 			}
 		}
 	}
-
+	
 	/**
 	 * dump the results of the diagnostic in a String containing HTML code.
 	 *
@@ -217,7 +217,7 @@
 	 */
 	public String htmlDump() {
 		StringBuffer buff = new StringBuffer();
-
+		
 		buff.append("<? version=\"1.0\" encoding=\"UTF-8\"?>\n" + //$NON-NLS-1$
 				"<html>" + //$NON-NLS-1$
 				"<head>" + //$NON-NLS-1$
@@ -225,7 +225,7 @@
 				"</head>" + //$NON-NLS-1$
 				"<body>\n"); //$NON-NLS-1$
 		buff.append("<h2 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.descriptionOf + this.result.getName() + " (CQP ID=" + this.result.getID() + ")</h2>\n"); //$NON-NLS-2$ //$NON-NLS-1$
-
+		
 		Project projet = this.result.getProject();
 		// if (projet.getCreationDate() != null) {
 		// buff.append(NLS.bind(PropertiesCoreMessages.createdTheP0, TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(projet.getCreationDate())));
@@ -234,20 +234,20 @@
 		// buff.append(NLS.bind(PropertiesCoreMessages.updatedTheP0, TXMResult.PRETTY_LOCALIZED_TIME_FORMAT.format(projet.getLastComputingDate())));
 		// }
 		//
-		if (projet.getDescription() != null && projet.getDescription().length() > 0) {
-			buff.append("<p><h3>Description</h3>" + projet.getDescription() + "</p>"); //$NON-NLS-1$ //$NON-NLS-2$
-		}
-
+		// if (projet.getDescription() != null && projet.getDescription().length() > 0) {
+		// buff.append("<p><h3>Description</h3>" + projet.getDescription() + "</p>"); //$NON-NLS-1$ //$NON-NLS-2$
+		// }
+		
 		buff.append("<h3 style'font-family:\"Arial\";'>" + PropertiesCoreMessages.generalStatistics_2 + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
-
+		
 		// counts
 		buff.append("<ul>\n"); //$NON-NLS-1$
 		buff.append("<li>" + NLS.bind(PropertiesCoreMessages.numberOfWordsP0, NumberFormat.getInstance().format(numberOfWords)) + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
-
+		
 		buff.append("<li>" + PropertiesCoreMessages.numberOfWordProperties + (properties.size()) + " (" + StringUtils.join(properties, ", ") + ")</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("<li>" + PropertiesCoreMessages.numberOfStructuralUnits + (structures.size()) + " (" + StringUtils.join(structures, ", ") + ")</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("</ul>\n"); //$NON-NLS-1$
-
+		
 		// Propriétés d'occurrences
 		buff.append("<h3 style'font-family:\"Arial\";'>" + NLS.bind(PropertiesCoreMessages.lexicalUnitsPropertiesMaxP0Values, props.pMaxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<String> properties = new ArrayList<>(propertiesValues.keySet());
@@ -267,7 +267,7 @@
 			}
 		}
 		buff.append("</ul>\n"); //$NON-NLS-1$
-
+		
 		// Propriété de structures
 		buff.append("<h3 style'font-family:\"Arial\";'>" + NLS.bind(PropertiesCoreMessages.structuralUnitsPropertiesMaxP0Values, props.pMaxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buff.append("<ul>\n"); //$NON-NLS-1$
@@ -275,13 +275,13 @@
 			StringBuffer subbuffer = new StringBuffer();
 			if (s.equals("txmcorpus")) //$NON-NLS-1$
 				continue;// ignore the txmcorpus structure
-
+			
 			properties = new ArrayList<>(internalArchitectureProperties.get(s).keySet());
-
+			
 			subbuffer.append("<li> " + s + "\n<ul>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			if (internalArchitectureProperties.get(s).keySet().size() == 0)
 				subbuffer.append("<li>" + PropertiesCoreMessages.noProperty + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
-
+			
 			// System.out.println("struct: "+s+" >> "+properties);
 			Collections.sort(properties);
 			// System.out.println("struct: "+s+" >sort> "+properties);
@@ -302,12 +302,12 @@
 							subbuffer.append(psv.replace("<", "&lt;")); //$NON-NLS-1$ //$NON-NLS-2$
 						else
 							subbuffer.append("\"\""); //$NON-NLS-1$
-
+						
 						if (i == values.size() - 1)
 							subbuffer.append("."); //$NON-NLS-1$
 						else
 							subbuffer.append(", "); //$NON-NLS-1$
-
+						
 						if (i >= props.pMaxPropertiesToDisplay) {
 							subbuffer.append("..."); //$NON-NLS-1$
 							break;
@@ -316,11 +316,11 @@
 					subbuffer.append("</li>\n"); //$NON-NLS-1$
 				}
 			}
-
+			
 			if (properties.size() == 0) {
 				subbuffer.append("<p>--</p>\n"); //$NON-NLS-1$
 			}
-
+			
 			subbuffer.append("</ul>\n</li>\n"); //$NON-NLS-1$
 			if (nbOfValues > 0) {
 				buff.append(subbuffer);
@@ -329,10 +329,10 @@
 		buff.append("</ul>\n"); //$NON-NLS-1$
 		buff.append("</body>\n"); //$NON-NLS-1$
 		buff.append("</html>\n"); //$NON-NLS-1$
-
+		
 		return buff.toString();
 	}
-
+	
 	/**
 	 * dump the result in the console.
 	 *
@@ -342,7 +342,7 @@
 	 */
 	public String dump(int maxvalue) {
 		StringBuffer buff = new StringBuffer();
-
+		
 		buff.append(PropertiesCoreMessages.generalStatistics);
 		buff.append(PropertiesCoreMessages.t + String.format(Locale.FRANCE, "%,d", numberOfWords) + "\n"); //$NON-NLS-1$
 		buff.append(PropertiesCoreMessages.wordProperties + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$
@@ -354,7 +354,7 @@
 		buff.append(PropertiesCoreMessages.s + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$
 		for (String s : structuresCounts.keySet())
 			buff.append(" - " + s + "\n");// +structuresCounts.get(s)+"\n"); //$NON-NLS-1$ //$NON-NLS-2$
-
+			
 		/*
 		 * buff.append("* Structural Units counts\n"); for(String s :
 		 * internalArchitecture) buff.append(" - "+s+" "+hierarchieCounts.get(s)+"\n");
@@ -366,7 +366,7 @@
 				if (!(s.equals("text") && (ps.equals("project") || ps.equals("base") || ps.equals("id")))) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				{
 					buff.append("   - " + ps + "(" + internalArchitectureProperties.get(s).get(ps).size() + ") = "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-
+					
 					int valuecount = 0;
 					for (String psv : internalArchitectureProperties.get(s).get(ps)) {
 						buff.append(psv);
@@ -377,16 +377,16 @@
 						if (valuecount < internalArchitectureProperties.get(s).get(ps).size())
 							buff.append(", "); //$NON-NLS-1$
 					}
-
+					
 					buff.append("\n"); //$NON-NLS-1$
 				}
 			}
 		}
-
+		
 		return buff.toString();
 	}
-
-
+	
+	
 	/**
 	 * Gets the t.
 	 *
@@ -395,7 +395,7 @@
 	public int getT() {
 		return numberOfWords;
 	}
-
+	
 	/**
 	 * Gets the n properties.
 	 *
@@ -404,7 +404,7 @@
 	public int getNProperties() {
 		return NProperties;
 	}
-
+	
 	/**
 	 * Gets the internal architecture.
 	 *
@@ -413,7 +413,7 @@
 	public List<String> getInternalArchitecture() {
 		return internalArchitecture;
 	}
-
+	
 	/**
 	 * Gets the n structures.
 	 *
@@ -422,7 +422,7 @@
 	public int getNStructures() {
 		return NStructures;
 	}
-
+	
 	/**
 	 * Gets the structures counts.
 	 *
@@ -431,7 +431,7 @@
 	public HashMap<String, Integer> getStructuresCounts() {
 		return structuresCounts;
 	}
-
+	
 	/**
 	 * Gets the annotations types.
 	 *
@@ -440,7 +440,7 @@
 	public HashMap<String, Integer> getAnnotationsTypes() {
 		return annotationsTypes;
 	}
-
+	
 	/**
 	 * Gets the annotations origins.
 	 *
@@ -449,24 +449,24 @@
 	public HashMap<String, Integer> getAnnotationsOrigins() {
 		return annotationsOrigins;
 	}
-
+	
 	@Override
 	public boolean _compute(TXMProgressMonitor monitor) throws Exception {
-
+		
 		monitor.setTask(props.getComputingStartMessage());
-
+		
 		this.stepGeneralInfos();
 		monitor.worked(34);
-
+		
 		this.stepLexicalProperties();
 		monitor.worked(33);
-
+		
 		this.stepStructuralUnits();
 		monitor.worked(33);
-
+		
 		return true;
 	}
-
+	
 	public String getDetails() {
 		if (numberOfWords >= 0) {
 			return NLS.bind(PropertiesCoreMessages.numberOfWordsP0, numberOfWords);
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java	(revision 2990)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java	(revision 2991)
@@ -38,79 +38,91 @@
  * create the specificites table (as many columns as parts)
  */
 class SpecificitiesTableLabelProvider extends LabelProvider implements ITableLabelProvider {
-
+	
 	/** The partindexes. */
-	//int[] partindexes;
-
+	// int[] partindexes;
+	
 	private boolean showPValues;
+	
 	private String format;
-
+	
 	/**
 	 * Instantiates a new specificites table label provider.
 	 *
 	 * @param partindexes the partindexes
 	 */
 	public SpecificitiesTableLabelProvider() {
-		//this.partindexes = partindexes;
-		//showPValues = "true".equals(Toolbox.getParam(SpecificitiesPreferencePage.SPECIF_PVALUES)); //$NON-NLS-1$
+		// this.partindexes = partindexes;
+		// showPValues = "true".equals(Toolbox.getParam(SpecificitiesPreferencePage.SPECIF_PVALUES)); //$NON-NLS-1$
 		this.format = SpecificitiesPreferences.getInstance().getString(SpecificitiesPreferences.FORMAT);
 		if (format == null || format.trim().length() == 0) {
 			format = "%,.1f"; //$NON-NLS-1$
 		}
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object, int)
 	 */
 	@Override
 	public Image getColumnImage(Object element, int columnIndex) {
 		return null;
 	}
-
-	/* (non-Javadoc)
+	
+	public static final String EMPTY = "";
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object, int)
 	 */
 	@Override
 	public String getColumnText(Object element, int columnIndex) {
-
+		
 		Object[] line = (Object[]) element;
-		//line content : {unit, freq, freqs[], scores[]}
-
+		int[] freqs = (int[]) line[2];// get the freqs
+		// line content : {unit, freq, freqs[], scores[]}
+		
 		if (columnIndex < 2) {
 			Object cell = line[columnIndex];
 			return cell.toString();
-		} else if (columnIndex == 2) { // separator column
-			return ""; //$NON-NLS-1$
-		} else {
-			columnIndex = columnIndex - 3 ;//this.partindexes[columnIndex - 3];
-			if (columnIndex%2 == 0) { // FREQ COLUMN
-				columnIndex = columnIndex/2; // because there is 2 col per part
-				int[] freqs = (int[])line[2];// get the freqs
+		}
+		else if (columnIndex == 2) { // separator column
+			return EMPTY;
+		}
+		else if (columnIndex == (freqs.length * 2) + 3) { // separator column
+			return EMPTY;
+		}
+		else {
+			columnIndex = columnIndex - 3;// this.partindexes[columnIndex - 3];
+			if (columnIndex % 2 == 0) { // FREQ COLUMN
+				columnIndex = columnIndex / 2; // because there is 2 col per part
 				return String.valueOf(freqs[columnIndex]);
-			} else { // SCORE COLUMN
-				columnIndex = columnIndex/2; // because there is 2 cols per part
+			}
+			else { // SCORE COLUMN
+				columnIndex = columnIndex / 2; // because there is 2 cols per part
 				Object specif = line[3]; // get the scores
-				double[] specifs = (double[]) specif ;
-
+				double[] specifs = (double[]) specif;
+				
 				double s = specifs[columnIndex];
-				//if (-2 < s && s < 2) return "";
+				// if (-2 < s && s < 2) return "";
 				return String.format(format, s);
-//				if (showPValues) {
-//					return String.valueOf();
-//				} else {
-//					return String.valueOf((int) specifs[columnIndex]);
-//				}
+				// if (showPValues) {
+				// return String.valueOf();
+				// } else {
+				// return String.valueOf((int) specifs[columnIndex]);
+				// }
 			}
 		}
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.jface.viewers.BaseLabelProvider#isLabelProperty(java.lang.Object, java.lang.String)
 	 */
 	@Override
 	public boolean isLabelProperty(Object element, String property) {
 		return false;
 	}
-
-
+	
+	
 }
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 2990)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 2991)
@@ -187,7 +187,6 @@
 			
 			viewerComparator.addSelectionAdapter(viewer, typeFrequencyColumn, 1);
 			
-			
 			// add a separator empty column
 			TableColumn separatorColumn = new TableColumn(specificitesTable, SWT.NONE);
 			separatorColumn.setResizable(false);
@@ -298,6 +297,10 @@
 					
 					viewerComparator.addSelectionAdapter(viewer, lexicalTableColumn, (firstLexicalTableColumnIndex + 1));
 				}
+				
+				// add a separator empty column
+				TableColumn separatorColumn = new TableColumn(specificitesTable, SWT.NONE);
+				separatorColumn.setResizable(false);
 			}
 			
 			if (!this.getResult().isDirty()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/LibrariesVersionsMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/LibrariesVersionsMacro.groovy	(revision 2990)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/LibrariesVersionsMacro.groovy	(revision 2991)
@@ -12,7 +12,7 @@
 println "	WEBKITGTK version: "+ System.properties.'org.eclipse.swt.internal.webkitgtk.version'
 
 def loader = ClassLoader.getSystemClassLoader()
-LIBRARIES = ClassLoader.class.getDeclaredField("loadedLibraryNames");
-LIBRARIES.setAccessible(true);
+LIBRARIES = ClassLoader.class.getDeclaredField("loadedLibraryNames")
+LIBRARIES.setAccessible(true)
 println "Loaded libraries: "
-println "\t"+LIBRARIES.get(loader).join("\n\t");
\ No newline at end of file
+println "\t"+LIBRARIES.get(loader).join("\n\t")
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy	(revision 2990)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy	(revision 2991)
@@ -164,16 +164,16 @@
 for (File infile : txmDir.listFiles()) {
 	if (infile.isHidden() || infile.isDirectory() || infile.getName().startsWith(".")) continue;
 	print "."
-	if (!SetNewXmlDocumentRoot.process(infile, "//tei:text")) {
-		println "Failed to reset XML root $infile"
-		return
-	}
+//	if (!SetNewXmlDocumentRoot.process(infile, "//text")) {
+//		println "Failed to reset XML root $infile"
+//		return
+//	}
 }
 println ""
 
 // filtering
-println "Filtering XML files with xpaths: [//tei:term]"
-def xpaths = ["//tei:term"]
+println "Filtering XML files with xpaths: [//term]"
+def xpaths = ["//term"]
 
 if (xpaths != null) {
 	println "Filtering XML files with xpaths: $xpaths"
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 2990)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 2991)
@@ -428,17 +428,21 @@
 			
 			// property column
 			unitColumn = new TableViewerColumn(viewer, SWT.LEFT);
-			unitColumn.getColumn().addSelectionListener(new ColumnSelectionListener(this, unitColumn, -2));
+			unitColumn.getColumn().addSelectionListener(new ColumnSelectionListener(this, unitColumn, -3));
 			// FIXME: viewer comparator tests
 			// viewerComparator.addSelectionAdapter(viewer, unitColumn.getColumn(), 1);
 			
 			// frequency column
 			freqColumn = new TableViewerColumn(viewer, SWT.LEFT);
 			freqColumn.getColumn().setText(TXMCoreMessages.common_frequency);
-			freqColumn.getColumn().addSelectionListener(new ColumnSelectionListener(this, freqColumn, -1));
+			freqColumn.getColumn().addSelectionListener(new ColumnSelectionListener(this, freqColumn, -2));
 			// FIXME: viewer comparator tests
 			// viewerComparator.addSelectionAdapter(viewer, freqColumn.getColumn(), 2);
 			
+			// add a separator empty column
+			TableViewerColumn separatorColumn = new TableViewerColumn(viewer, SWT.NONE);
+			separatorColumn.getColumn().setResizable(false);
+			
 			// Register the context menu
 			TXMEditor.initContextMenu(this.viewer.getTable(), this.getSite(), this.viewer); // $NON-NLS-1$
 			
@@ -504,7 +508,7 @@
 		this.viewer.getControl().setRedraw(false);
 		
 		// removing old columns
-		for (int i = viewer.getTable().getColumnCount() - 1; i >= 3; i--) {
+		for (int i = viewer.getTable().getColumnCount() - 2; i >= 3; i--) {
 			viewer.getTable().getColumns()[i].dispose();
 		}
 		
@@ -547,6 +551,10 @@
 				column.getColumn().setText(colName);
 			}
 			
+			// add a separator empty column
+			TableViewerColumn separatorColumn = new TableViewerColumn(viewer, SWT.NONE);
+			separatorColumn.getColumn().setResizable(false);
+			
 		}
 		catch (StatException e) {
 			// TODO Auto-generated catch block
@@ -666,7 +674,7 @@
 				// fix col names
 				String[] colnames = lexicalTable.getColNames().asStringsArray();
 				TableColumn[] cols = viewer.getTable().getColumns();
-				int ncol = cols.length - 3;
+				int ncol = cols.length - 4;
 				if (colnames.length != ncol) {
 					// Log.severe(LexicalTableUIMessages.bind(LexicalTableUIMessages.errorColonDifferentColumnsNumberColonBeforeP0AfterP1, ncol, colnames.length));
 					LexicalTable r = getResult();
@@ -676,7 +684,7 @@
 				}
 				for (int i = 0; i < colnames.length; i++) {
 					// System.out.println("set col name "+colnames[i]);
-					cols[3 + i].setText(colnames[i]);
+					cols[4 + i].setText(colnames[i]);
 				}
 				viewer.refresh();
 				viewer.setInput(lexicalTable);
@@ -711,10 +719,10 @@
 			reverse = DEFAULTREVERSE;
 		}
 		
-		if (index == -2) {// rownames
+		if (index == -3) {// rownames
 			lexicalTable.getData().sortRowNames(reverse);
 		}
-		else if (index == -1) { // freqs
+		else if (index == -2) { // freqs
 			try {
 				lexicalTable.getData().sortByFreqs(reverse);
 				StatusLine.setMessage(TXMUIMessages.sortDone);
@@ -732,7 +740,7 @@
 		refreshTable(true);
 		
 		// viewer.getTable().setSortColumn(col.getColumn());
-		viewer.getTable().setSortColumn(viewer.getTable().getColumn(index + 3));
+		viewer.getTable().setSortColumn(viewer.getTable().getColumn(index + 4));
 		
 		if (reverse) {
 			viewer.getTable().setSortDirection(SWT.DOWN);
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java	(revision 2990)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java	(revision 2991)
@@ -51,7 +51,7 @@
 	String[] rownames;
 	
 	/** The cols. */
-	List<double[]> cols = new ArrayList<double[]>();
+	List<double[]> cols = new ArrayList<>();
 	
 	/** The freqs. */
 	int[] freqs;
@@ -100,6 +100,8 @@
 		return null;
 	}
 	
+	public static final String EMPTY = "";
+	
 	/*
 	 * (non-Javadoc)
 	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object, int)
@@ -107,20 +109,31 @@
 	@Override
 	public String getColumnText(Object element, int columnIndex) {
 		
-		switch (columnIndex) {
-			case 0:
-				return ""; //$NON-NLS-1$
-			case 1:
-				return rownames[(Integer) element];
-			case 2:
-				return "" + freqs[(Integer) element]; //$NON-NLS-1$
-			default:
-				
-				if (columnIndex == Ncols + 3)
-					return ""; //$NON-NLS-1$
-				else
-					return "" + (int) cols.get(columnIndex - 3)[(Integer) element]; //$NON-NLS-1$
+		if (columnIndex == 0 || columnIndex == 3 || columnIndex == cols.size() + 4) {
+			return EMPTY;
 		}
+		else if (columnIndex == 1) {
+			return rownames[(Integer) element];
+		}
+		else if (columnIndex == 2) {
+			return Integer.toString(freqs[(Integer) element]);
+		}
+		else {
+			// if (columnIndex == Ncols + 3) {
+			// return EMPTY;
+			// }
+			// else {
+			try {
+				return Integer.toString((int) cols.get(columnIndex - 4)[(Integer) element]);
+			}
+			catch (Exception ee) {
+				System.out.println(ee);
+				System.out.println(ee);
+				;
+				return "error";
+			}
+			// }
+		}
 	}
 	
 	/**
@@ -169,7 +182,7 @@
 			return Arrays.asList(rownames);
 		}
 		catch (Exception e) {
-			return new ArrayList<String>();
+			return new ArrayList<>();
 		}
 	}
 }
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java	(revision 2990)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/ColumnSelectionListener.java	(revision 2991)
@@ -26,7 +26,7 @@
 	TableViewerColumn col;
 	
 	/** The index. */
-	int index;
+	int columnIndex;
 	
 	/**
 	 * Instantiates a new column selection listener.
@@ -37,7 +37,7 @@
 	public ColumnSelectionListener(LexicalTableEditor editor, TableViewerColumn formColumn, int index) {
 		this.editor = editor;
 		this.col = formColumn;
-		this.index = index;
+		this.columnIndex = index;
 	}
 	
 	/*
@@ -54,7 +54,7 @@
 	@Override
 	public void widgetSelected(SelectionEvent e) {
 		StatusLine.setMessage(TXMUIMessages.sortingColumn);
-		this.editor.sort(this.col, this.index);
+		this.editor.sort(this.col, this.columnIndex);
 		StatusLine.setMessage(""); //$NON-NLS-1$
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMWebBrowserEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMWebBrowserEditor.java	(revision 2990)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMWebBrowserEditor.java	(revision 2991)
@@ -8,16 +8,23 @@
 import org.eclipse.core.commands.Parameterization;
 import org.eclipse.core.commands.ParameterizedCommand;
 import org.eclipse.core.commands.common.NotDefinedException;
+import org.eclipse.swt.SWT;
 import org.eclipse.swt.browser.Browser;
 import org.eclipse.swt.browser.BrowserFunction;
+import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.ToolBar;
+import org.eclipse.swt.widgets.ToolItem;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.commands.ICommandService;
 import org.eclipse.ui.handlers.IHandlerService;
 import org.eclipse.ui.internal.browser.BrowserViewer;
+import org.eclipse.ui.internal.browser.ImageResource;
+import org.eclipse.ui.internal.browser.Messages;
 import org.eclipse.ui.internal.browser.WebBrowserEditor;
+import org.eclipse.ui.internal.browser.WebBrowserEditorInput;
 
 @SuppressWarnings("restriction")
 public class TXMWebBrowserEditor extends WebBrowserEditor {
@@ -48,11 +55,19 @@
 	
 	@Override
 	public void createPartControl(Composite parent) {
+		
 		super.createPartControl(parent);
 		
+		// createToolbar(parent);
+		
 		new CommandLink(this.webBrowser.getBrowser());
 	}
 	
+	ToolItem back;
+	
+	ToolItem forward;
+	
+	
 	// Called by JavaScript
 	public class CommandLink extends BrowserFunction {
 		
